import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * This class defines a crab. Crabs live on the beach. They like sand worms 
 * (very yummy, especially the green ones).
 * 
 * Version: 2
 * 
 * In this version, the crab walks around the beach more or less randomly.
 */

public class Crab extends Animal
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    private int wormsEaten;
    /**
     * This mages the crab images move.
     */
    public Crab()
    {
        image1 = new GreenfootImage("crab.png");
        image2 = new GreenfootImage("crab2.png");
        setImage(image1);
        wormsEaten = 0;
    }
    
 /** 
     * Act - do whatever the crab wants to do. This method is called whenever
     *  the 'Act' or 'Run' button gets pressed in the environment.
     *  
     *  Here i am listing the the methods in the crab class
     *  
     */
    public void act()
    {
        checkKeypress();
        move(4);
        lookForWorm();
        
       
    }
    /**
     *
     *This will allow the crab to move when certain keys are pressed.
     */
    public void checkKeypress()
    {
        if (Greenfoot.isKeyDown("left"))
        {
            turn(-4);
        }
        if (Greenfoot.isKeyDown("right"))
        {
            turn(4);
        }
    }   
    
 /**
  * This lets the crab turn
  */
 public void turnAtEdge()
 {
     if ( atWorldEdge())
     {
         turn(17);
     }
 }
 
/**
 * Check whether we have stumbled upon a worm.
 * If we have, eat it. If not, do nothing.
 */
public void lookForWorm()
{
    if ( canSee(worm.class))
    {
        eat(worm.class);
        Greenfoot.playSound("slurp.wav"); 
    }
    }
}









        
